Postgresql-ODBC

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Postgresql-ODBC

Abhinav, Kumar

Hi Team,

 

Our PostgreSQL server  is on Azure and the version is 11.5 on linux . We want to create a db link from oracle server . We have a question .

  1. Which version of ODBC driver we have to install . Do PostgreSQL has 11.5 ODBC ? Can we use the ODBC version 9 for our 11.5 version PostgreSQL . Will it work?

 

Warm Regards

Kumar Abhinav

DBA

918147858803.

This communication is the property of CenturyLink and may contain confidential or privileged information. Unauthorized use of this communication is strictly prohibited and may be unlawful. If you have received this communication in error, please immediately notify the sender by reply e-mail and destroy all copies of the communication and any attachments.
Reply | Threaded
Open this post in threaded view
|

Re: Postgresql-ODBC

Clemens Ladisch
Abhinav, Kumar wrote:
> Which version of ODBC driver we have to install .

The network protocol is the same.
You should use the latest version of the ODBC driver (currently 12.01) to get all bugfixes.


Regards,
Clemens


Reply | Threaded
Open this post in threaded view
|

RE: Postgresql-ODBC

Ebadi, Abdul
In reply to this post by Abhinav, Kumar

Adding Jose and Santiago to see if we can get some help on this issue from Amdocs (trying to create db link from oracle to postgres).  See details of odbc version issue below…

 

FYI Kumar is our offshore CTL Postgres DBA.


Thanks,

Abdul

 

From: Abhinav, Kumar <[hidden email]>
Sent: Monday, March 30, 2020 4:06 AM
To: [hidden email]
Cc: Ebadi, Abdul <[hidden email]>; Hass, Sandy <[hidden email]>
Subject: Postgresql-ODBC

 

Hi Team,

 

Our PostgreSQL server  is on Azure and the version is 11.5 on linux . We want to create a db link from oracle server . We have a question .

  1. Which version of ODBC driver we have to install . Do PostgreSQL has 11.5 ODBC ? Can we use the ODBC version 9 for our 11.5 version PostgreSQL . Will it work?

 

 

Warm Regards

Kumar Abhinav

DBA

918147858803.

This communication is the property of CenturyLink and may contain confidential or privileged information. Unauthorized use of this communication is strictly prohibited and may be unlawful. If you have received this communication in error, please immediately notify the sender by reply e-mail and destroy all copies of the communication and any attachments.
Reply | Threaded
Open this post in threaded view
|

RE: Postgresql-ODBC

Ebadi, Abdul

Forgot to include Saravanan earlier…

 

From: Ebadi, Abdul
Sent: Tuesday, April 7, 2020 12:06 PM
To: Abhinav, Kumar <[hidden email]>; [hidden email]; [hidden email]; Santiago Simosis <[hidden email]>; Iyer, Sangeetha <[hidden email]>; Hass, Sandy <[hidden email]>
Subject: RE: Postgresql-ODBC

 

Adding Jose and Santiago to see if we can get some help on this issue from Amdocs (trying to create db link from oracle to postgres).  See details of odbc version issue below…

 

FYI Kumar is our offshore CTL Postgres DBA.


Thanks,

Abdul

 

From: Abhinav, Kumar <[hidden email]>
Sent: Monday, March 30, 2020 4:06 AM
To: [hidden email]
Cc: Ebadi, Abdul <[hidden email]>; Hass, Sandy <[hidden email]>
Subject: Postgresql-ODBC

 

Hi Team,

 

Our PostgreSQL server  is on Azure and the version is 11.5 on linux . We want to create a db link from oracle server . We have a question .

  1. Which version of ODBC driver we have to install . Do PostgreSQL has 11.5 ODBC ? Can we use the ODBC version 9 for our 11.5 version PostgreSQL . Will it work?

 

 

Warm Regards

Kumar Abhinav

DBA

918147858803.

This communication is the property of CenturyLink and may contain confidential or privileged information. Unauthorized use of this communication is strictly prohibited and may be unlawful. If you have received this communication in error, please immediately notify the sender by reply e-mail and destroy all copies of the communication and any attachments.
Reply | Threaded
Open this post in threaded view
|

RE: Postgresql-ODBC

Jose Raul Da Conceicao

Hi Abdul, good day,

 

Please see below the feedback from our DBA

 

You can  just install on host with Oracle database:

 

$ yum install postgresql-odbc

$ yum list installed|grep -i odbc

postgresql-odbc.x86_64           09.03.0100-2.el7            @RHEL-7.5-x86_64

unixODBC.x86_64                  2.3.1-11.el7                @RHEL-7.5-x86_64

 

It should automatically configure the psqlODBC driver libraries in ODBC Driver file odbcinst.ini.

Like:

# more /etc/odbcinst.ini

# Example driver definitions

 

# Driver from the postgresql-odbc package

# Setup from the unixODBC package

[PostgreSQL]

Description     = ODBC for PostgreSQL

Driver          = /usr/lib/psqlodbcw.so

Setup           = /usr/lib/libodbcpsqlS.so

Driver64        = /usr/lib64/psqlodbcw.so

Setup64         = /usr/lib64/libodbcpsqlS.so

FileUsage       = 1

 

And go on with a Data Source Name (DSN) configuration in the odbc.ini

 

Please let us know if this works on your end and if you have any additional questions.

 

Regards,

Jose Raul Da ConceiƧao

Amdocs Optima

 

+56-977018407 (Mobile + IM)

 

amdocs-2017-brand-mark-rgb

 

From: Ebadi, Abdul <[hidden email]>
Sent: Tuesday, April 7, 2020 5:28 PM
To: Abhinav, Kumar <[hidden email]>; [hidden email]; Jose Raul Da Conceicao <[hidden email]>; Santiago Simosis <[hidden email]>; Iyer, Sangeetha <[hidden email]>; Hass, Sandy <[hidden email]>; Perambur Subramanian, Saravanan <[hidden email]>
Subject: RE: Postgresql-ODBC

 

Forgot to include Saravanan earlier…

 

From: Ebadi, Abdul
Sent: Tuesday, April 7, 2020 12:06 PM
To: Abhinav, Kumar <[hidden email]>; [hidden email]; [hidden email]; Santiago Simosis <[hidden email]>; Iyer, Sangeetha <[hidden email]>; Hass, Sandy <[hidden email]>
Subject: RE: Postgresql-ODBC

 

Adding Jose and Santiago to see if we can get some help on this issue from Amdocs (trying to create db link from oracle to postgres).  See details of odbc version issue below…

 

FYI Kumar is our offshore CTL Postgres DBA.


Thanks,

Abdul

 

From: Abhinav, Kumar <[hidden email]>
Sent: Monday, March 30, 2020 4:06 AM
To: [hidden email]
Cc: Ebadi, Abdul <[hidden email]>; Hass, Sandy <[hidden email]>
Subject: Postgresql-ODBC

 

Hi Team,

 

Our PostgreSQL server  is on Azure and the version is 11.5 on linux . We want to create a db link from oracle server . We have a question .

  1. Which version of ODBC driver we have to install . Do PostgreSQL has 11.5 ODBC ? Can we use the ODBC version 9 for our 11.5 version PostgreSQL . Will it work?

 

 

Warm Regards

Kumar Abhinav

DBA

918147858803.

This communication is the property of CenturyLink and may contain confidential or privileged information. Unauthorized use of this communication is strictly prohibited and may be unlawful. If you have received this communication in error, please immediately notify the sender by reply e-mail and destroy all copies of the communication and any attachments.

This email and the information contained herein is proprietary and confidential and subject to the Amdocs Email Terms of Service, which you may review at https://www.amdocs.com/about/email-terms-of-service